@import "../../shared/scss/color.scss";
.body {
  width: 70%;
  margin: 80px auto 30px auto;
  .profile {
    padding: 5px 10px 5px 10px;
    display: flex;
    justify-content: space-between;
    width: 90%;
    margin: 10px auto 0 auto;
    // background-color: #f8f8f8;
    div {
      &:first-child {
        display: flex;
        .img {
          width: 70px;
          height: 70px;
          border-radius: 50%;
          img {
            width: 100%;
            height: 100%;
            border-radius: 50%;
            object-fit: cover;
          }
        }
        .name {
          padding: 10px;
          p {
            color: #858585;
            font-size: 12px;
            font-weight: 600;
            padding: 4px 0;
            text-overflow: ellipsis;
            display: block;
            &:first-child {
              font-size: 14px;
              color: $black-color;
              font-weight: bold;
            }
            &:last-child {
              font-size: 12px;
              color: #757575;
              font-weight: bold;
            }
          }
        }
      }
      &:last-child {
        .follow {
          padding: 15px 0 0 0;
          .follow-btn {
            margin: 0;
            cursor: pointer;
            padding: 5px;
            text-align: center;
            background-color: rgba(77, 77, 77, 1);
            border: 1px solid rgba(77, 77, 77, 1);
            color: white;
            border-radius: 7px;
            width: 100px;
            transition: 0.3s all ease-in-out;
            box-shadow: 1px 1px 5px black;
            span {
              font-size: 12px;
              font-weight: 600;
              padding-right: 7px;
            }
            fa-icon {
              font-size: 12px;
              font-weight: bold;
              margin-bottom: -4px;
            }
            &:hover {
              color: rgba(77, 77, 77, 1);
              background-color: white;
              box-shadow: none;
            }
          }
          .unfollow-btn {
            cursor: pointer;
            margin: 0;
            padding: 5px;
            text-align: center;
            background-color: white;
            width: 100px;
            color: rgba(77, 77, 77, 1);
            border-radius: 7px;
            border: 1px solid rgba(77, 77, 77, 1);
            transition: 0.3s all ease-in-out;
            span {
              font-size: 12px;
              font-weight: 600;
              padding-right: 7px;
            }
            fa-icon {
              font-size: 12px;
              font-weight: bold;
            }
            &:hover {
              color: white;
              background-color: rgba(77, 77, 77, 1);
            }
          }
        }
      }
    }
  }
  .title {
    overflow: auto;
    width: 640px;
    margin: 0 auto;
    p {
      padding: 10px 0 5px 0;
      font-size: 20px;
      font-weight: bold;
      color: $black-color;
      display: inline-block;
      float: right;
      &:last-child {
        float: left;
        // padding: 0px 20px 10px 20px;
        span {
          font-size: 14px;
          font-weight: bold;
          color: #656565;
          &:last-child {
            font-size: 12px;
            color: #656565;
          }
        }
      }
    }
  }
  .main {
    padding: 5px 30px 0 30px;
    .img {
      width: 640px;
      height: 264px;
      margin: 0 auto;
      img {
        width: 100%;
        height: 100%;
        object-fit: cover;
      }
    }
    p {
      width: 640px;
      margin: 0 auto;
      padding: 30px 0 30px 0;
      font-size: 14px;
      font-weight: 600;
      line-height: 2;
      color: $description-color;
    }
    .video {
      width: 640px;
      height: 264px;
      position: relative;
      margin: 0 auto 40px auto;
    }
    .voice {
      width: 640px;
      margin: 0 auto 30px auto;
      audio {
        width: 100%;
        border-radius: 0;
        margin: 0 auto;
      }
    }
  }
  .actions {
    width: 90%;
    margin: 0 auto;
    background-color: #eeeeee;
    display: flex;
    padding: 10px;
    a {
      padding: 10px 20px;
      text-decoration: none;
      cursor: pointer;
      position: relative;
      span {
        font-size: 14px;
        position: relative;
        color: $description-color;
        font-weight: bold;
        display: inline-block;
      }
      fa-icon {
        padding-left: 5px;
        font-size: 18px;
        color: $description-color;
        display: inline-block;
      }
      .copy-box {
        margin: -6px 10px 0 0;
        display: inline-block;
        background-color: #444444;
        padding: 10px 0;
        position: absolute;
        text-align: center;
        color: #ffffff;
        transition: 0.1s all ease-in-out;
        opacity: 0;
        width: 70px;
        font-size: 12px;
        font-weight: bold;
        border-radius: 7px;
        &::after {
          content: "";
          position: absolute;
          border-style: solid;
          top: 50%;
          left: 100%;
          margin-top: -5px;
          border-width: 5px;
          border-color: transparent transparent transparent #444444;
        }
      }
    }
  }
  .comment-box {
    margin: 20px auto 0 auto;
    width: 90%;
    padding: 0;
    display: none;
    .form {
      overflow: auto;
      padding-bottom: 10px;
      form {
        padding-bottom: 10px;
      }
      textarea {
        resize: none;
        padding: 10px 20px 10px 10px;
        width: 100%;
        height: 100px;
        background-color: $background-color;
        border: none;
        outline: none;
        font-size: 14px;
        font-weight: bold;
        color: $black-color;
        line-height: 2;
        transition: 0.3s all ease-in-out;
        &:focus {
          padding: 10px;
        }
      }
      a {
        float: left;
        padding: 7px 18px;
        background-color: rgba(77, 77, 77, 1);
        color: $white;
        letter-spacing: 1.5;
        font-size: 12px;
        font-weight: 600;
        border-radius: 7px;
        cursor: pointer;
        transition: 0.3s all ease-in-out;
        fa-icon {
          padding-right: 4px;
          transition: 0.3s all ease-in-out;
        }
      }
    }
    .comment {
      // padding: 10px;
      margin-bottom: 10px;
      display: block;
      border-bottom: 1px solid #bbbbbb;
      &:last-child {
        margin-bottom: 0;
        border-bottom: none;
      }
    }
  }
}

.switch-tooltip {
  .show-tooltip {
    opacity: 1 !important;
  }
}

.loader {
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  background-color: rgba($color: #000000, $alpha: 0.9);
  z-index: 99999999;
  transition: 0.5s all;
}

.liked {
  fa-icon {
    color: rgb(206, 16, 16) !important;
  }
}
